# ModIo Multi Asset Pack Plugin

THIS PLUGIN HAS BEEN DISCONTINUED AT THE REQUEST OF BR

This unofficial TaleSpire plugin that allows using Mod.Io packs to contain multiple assets and this plugin will
make the additional assets available in the Local section of the Creature library.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Configuration

Before you can use the plugin, you need to configure the Community Content Pack folder and Local Content Packs folder. 
To do so, follow these steps:

1. Run Talepire with the plugin installed. Wait until Talespire loads the main menu.
2. Exit Talespire.
3. User the Edit Config in R2ModMan to edit the config for this plugin.
4. Set the "Community Content Mods Folder" setting to the full path of your Talespire Community Content Packs folder.
4. Set the "Local Content Mods Folder" setting to the full path of your Talespire Local Content Packs folder.
5. Save.
6. Start Talespire.

Note: You need to run Talespire once with the plugin installed in order for the configuration file to appear in
R2ModMan. If you skip steps 1 and 2 then the you will not find the configuration file for this plugin in the list.

Your Local Content Mods folder can be opened from the Settings page in Talespire.
Your Community Contents Mods folder can be reached from that location by going one folder back, and the into the
``primary`` folder, then ``Mods`` folder, and finally ``Creatures`` folder.

## Warning

ATTENTION!!! ATTENTION!!! ATTENTION!!!

This plugin will delete the contents of the Local Content Packs folder! Do not run this plugin if you have added any
tsmod files to this folder manually and don't have the files backed up elsewhere. Any extra assets in any ModIo packs
will be copied over to the folder meaning if you remove the ModIo pack from Talespire, the plugin will clean up the
additional assets on the next Talespire run.

ATTENTION!!! ATTENTION!!! ATTENTION!!!

## Usage

User of this plugin don't need to do anything if the auto sync feature is turned on (which is the default). With this
feature on, when a board is loaded the plugin does a sync and copies all extra assets downloaded in ModIo packs to
the Local Content Packs folder making the assets available in the Local section of the Creature library.

If additional mods are downloaded during the session, the sync can be triggered manually to add any extra assets from
the new packs while Talespire is running.

``Home`` = Sync the Local Content Packs folder with downloaded Taleweaver mods.

## How To Make A Compatible ModIo Pack

1. Use Taleweaver as normal to create your assets but use the Save button to create a tsMod file instead of the button
for making a ModIo ZIP file.
2. Repeat step 1 until you have made all the assets for the pack.
3. Choose one asset to be the main asset. This is the asset that users without this plugin will get if they download
your pack. Rename that asset's file to ``root.tsMod``.
4. Create a zip file that contains all of the desired tsMod files (including the ``root.tsMod`` file). All of the files
should be in the root of the ZIP file (i.e. do not create any folders in the ZIP file).
5. Upload to ModIo as always.

If a user donwloads the pack without this plugin, they will get the one asset that you chose in step 3.
If a user downloads the pack with this plugin, the plugin will copy the extra assets into the Local Content Mods folder
making them available for use from the Local section of the Creature library. Please note this means that the main
asset (chosen in step 3 will appear in the Community section while the rest of the assets will appear in the Local section.
